---
title: Contribute to ESLint
eleventyNavigation:
    key: contribute to eslint
    title: Contribute to ESLint
    order: 4
---

One of the great things about open source projects is that anyone can contribute in any number of meaningful ways. ESLint couldn't exist without the help of the many contributors it's had since the project began, and we want you to feel like you can contribute and make a difference as well.

This guide is intended for anyone who wants to contribute to an ESLint project. Please read it carefully as it answers a lot of the questions many newcomers have when first working with our projects.

## Read the [Code of Conduct](https://eslint.org/conduct)

ESLint welcomes contributions from everyone and adheres to the [OpenJS Foundation Code of Conduct](https://eslint.org/conduct). We kindly request that you read over our code of conduct before contributing.

## [Report Bugs](report-bugs)

Think you found a problem? We'd love to hear about it. This section explains how to submit a bug, the type of information we need to properly verify it, and the overall process.

## [Propose a New Rule](propose-new-rule)

We get a lot of proposals for new rules in ESLint. This section explains how we determine which rules are accepted and what information you should provide to help us evaluate your proposal.

## [Propose a Rule Change](propose-rule-change)

Want to make a change to an existing rule? This section explains the process and how we evaluate such proposals.

## [Request a Change](request-change)

If you'd like to request a change other than a bug fix or new rule, this section explains that process.

## [Architecture](architecture)

Learn about the architecture of the ESLint project.

## [Set up a Development Environment](development-environment)

Developing for ESLint is a bit different than running it on the command line. This section shows you how to set up a development environment and get you ready to write code.

## [Run the Tests](tests)

There are a lot of unit tests included with ESLint to make sure that we're keeping on top of code quality. This section explains how to run the unit tests.

## [Work on Issues](work-on-issue)

Have some extra time and want to contribute? This section talks about the process of working on issues.

## [Submit a Pull Request](pull-requests)

We're always looking for contributions from the community. This section explains the requirements for pull requests and the process of contributing code.

## [Contribute to Core Rules](core-rules)

This section explains how to add to the core rules of ESLint.

## [Governance](governance)

Describes the governance policy for ESLint, including the rights and privileges of individuals inside the project.

## [Report a Security Vulnerability](report-security-vulnerability)

To report a security vulnerability in ESLint, please create an advisory on Github.

## Sign the CLA

In order to submit code or documentation to an ESLint project, you will need to electronically sign our Contributor License Agreement. The CLA is the commonly used Apache-style template, and is you giving us permission to use your contribution. You only need to sign the CLA once for any OpenJS Foundation projects that use EasyCLA. You will be asked to sign the CLA in the first pull request you open.
