---
title: Use ESLint in Your Project
eleventyNavigation:
    key: use eslint
    title: Use ESLint in Your Project
    order: 1
---

This guide is intended for those who wish to use ESLint as an end-user. If you're looking for how to extend ESLint or work with the ESLint source code, please see the [Extend ESLint documentation](../extend/).

## [Getting Started](getting-started)

Want to skip ahead and just start using ESLint? This section gives a high-level overview of installation, setup, and configuration options.

## [Core Concepts](core-concepts)

Understand the main components of ESLint and how to use them in your project.

## [Configure ESLint](configure/)

Once you've got ESLint running, you'll probably want to adjust the configuration to better suit your project. This section explains all the different ways you can configure ESLint.

## [Command Line Interface Reference](command-line-interface)

There are a lot of command line flags for ESLint and this section explains what they do.

## [Rules Reference](../rules/)

ESLint has a lot of rules that you can configure to fine-tune it to your project. This section is an exhaustive list of every rule and link to each rule's documentation.

## [Formatters Reference](formatters)

Control the appearance of the linting results with formatters. View all built-in formatters on this page.

## [Integrations](integrations)

Wondering if ESLint will work with your favorite editor or build system? This page has a list of integrations (submitted by their authors).

## [Rule Deprecation](rule-deprecation)

The ESLint team is committed to making upgrading as easy and painless as possible. This section outlines the guidelines the team has set in place for the deprecation of rules in future releases.

## Migrating

If you were using a prior version of ESLint, you can get help with the transition by reading:

* [migrating-to-1.0.0](migrating-to-1.0.0)
* [migrating-to-2.0.0](migrating-to-2.0.0)
* [migrating-to-3.0.0](migrating-to-3.0.0)
* [migrating-to-4.0.0](migrating-to-4.0.0)
* [migrating-to-5.0.0](migrating-to-5.0.0)
* [migrating-to-6.0.0](migrating-to-6.0.0)
* [migrating-to-7.0.0](migrating-to-7.0.0)
* [migrate-to-8.0.0](migrate-to-8.0.0)
* [migrate-to-9.x](migrate-to-9.0.0)
