module.exports = {
    rules: {
        rule1: {
            meta: {
                schema: {
                    type: "array",
                    items: [
                        {
                            type: "string"
                        }
                    ]
                }
            },
            create(context) {
                return {
                    Program(node) {
                        const [option] = context.options;

                        if (option) {
                            context.report({ node, message: `Option '${option}' was passed` });
                        } else {
                            context.report({ node, message: `No options were passed` });
                        }
                    }
                };
            }
        }
    },
};
